petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestGetPartitionOverlap

Get the amount of cell-overlap present in parallel partitions of a forest, with values > 0 indicating subdomains that are expanded by that many iterations of adding adjacent cells

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetPartitionOverlap(DM dm, PetscInt *overlap)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

overlap -default 0

### See Also

DMForestGetPartitionOverlap(), DMForestSetAdjacencyDimension(), DMForestSetAdjacencyCodimension()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages